Description

If | create a new workflow and save it as Foo.kar, then when | search for "foo, | will find a KAR called Foo.kar which has a Foo
workflow in it.

If 1 open Foo.kar by right-clicking on it, make a change, and choose to save, then Foo.kar itself is modified.

In contrast, if | open the Foo workflow by right clicking on it, make a change, and choose to save, then the Save As dialog is opened
instead.

This is unnecessarily confusing, and in my view is a user interface bug.

History

#1 - 06/19/2012 02:36 PM - jianwu jianwu

| can re-produce this phenomena. Another difference is that Foo.kar cannot be drag-and-drop into canvas, but the Foo workflow under Foo.kar can do
it.

| think the reason is that the objects in the two actions are different. The first is kar file, and the second is the xml in the kar.
Since Kar file might have other files except the workflow xml, especially in reporting suite, | think this phenomena is reasonable.
| changed it to be enhancement.

#2 - 08/06/2012 12:30 PM - likay Altintas

Add a new bug to reevaluate how opening kars vs. XML should work.

#3 - 08/07/2012 04:04 PM - jianwu jianwu

close this bug. A further reevaluation bug is created at bug 5348.

#4 - 08/07/2012 04:05 PM - jianwu jianwu

correct new bug id: A further reevaluation bug is created at bug 5667.

#5 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5348
